<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$tipoOperacion=$_SESSION['accion'];

$esTransformacion=($tipoOperacion=='TRANSFORMACION');

$gestionLineas=($_SESSION['parametrosSGA']['GestionLineasTrabajo']=='S');
$gestionTurnos=($_SESSION['parametrosSGA']['GestionTurnosTrabajo']=='S');


//SGAOperacionesLog#PXPU#PMO#LISTADOOPERACIONES#1;PXPU;PREC

$peticion='SGAOperacionesLog#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTADOOPERACIONES#'.$_SESSION['almacen'].';'.$_SESSION['empresa'].';'.$tipoOperacion;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if(!$esTransformacion) {

	$listado=$resultado;
}
else {

	$listado=arreglaArrayPXMobileProxiumResult($resultado[0]['Transformaciones']);
	
	$_SESSION['lineas']=arreglaArrayPXMobileProxiumResult($resultado[0]['LineasTrabajo']);
	$_SESSION['turnos']=arreglaArrayPXMobileProxiumResult($resultado[0]['TurnosTrabajo']);
}

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboClientes=array();
$comboClienteRefs=array();
$comboProductos=array();

foreach($listado as $item) {

	if(!in_array($item['ClienteNombre'],$comboClientes) && $item['ClienteNombre']!='') $comboClientes[]=$item['ClienteNombre'];
	if(!in_array($item['ClienteRef'],$comboClienteRefs) && $item['ClienteRef']!='') $comboClienteRefs[]=$item['ClienteRef'];
	
	
	foreach(arreglaArrayPXMobileProxiumResult($item['ProductosObtener']) as $item2) {
		if( !array_key_exists($item2['ProductoCodigo'],$comboProductos) && $item2['ProductoDescripcion']!='') $comboProductos[$item2['ProductoCodigo']]=$item2['ProductoDescripcion'];
	}
	
		
}

asort($comboClientes);
asort($comboClienteRefs);
asort($comboProductos);

?>
<script>

var comboClientes=Array(<?php foreach($comboClientes as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);

</script>
<?php



if( !$resultado[0]['Error'] && is_array($listado) && count($listado)>0 ) {

	?>
    
    <?php if(!$esTransformacion) { ?>
    
     <p class="sinMargen">Nº Operación:<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoOperacion" /><input name="operacion" type="text" class="campo campoOrdenPreparacion" id="operacion" maxlength="14" style="left:5px;"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarOperacion" style="position:absolute;right:5px;cursor:pointer;"/>
        </div>
    </p>
    
    <?php } ?>
    
    <?php if($esTransformacion) { ?>

		<?php if($gestionLineas || $gestionTurnos) { ?>

			<div id="popupLineaTurno" class="popup" style="display:none">
			<div id="popupLineaTurnoDetalle" class="popupContenido">
            
            <img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:70px;height:70px;margin-top:20px" />
            
			<?php if($gestionLineas) { ?>
            
            	<p>Línea de Trabajo:<br />
                  <select name="lineaTrabajo" id="lineaTrabajo" class="campo">
                    <!--<option value="" <?php if(!$_SESSION['transformacion_lineaTrabajo_seleccionada']) { ?>selected<?php } ?>>Seleccionar...</option>-->
                    <option value="" selected>Seleccionar...</option>
                    <?php foreach ($_SESSION['lineas'] as $linea) { ?>
                    <!--<option value="<?php echo $linea['LineaTrabajoCodigo']; ?>" <?php if($_SESSION['transformacion_lineaTrabajo_seleccionada']==$linea['LineaTrabajoCodigo']) { ?>selected<?php } ?>><?php echo $linea['LineaTrabajoDescripcion']; ?></option>-->
                    <option value="<?php echo $linea['LineaTrabajoCodigo']; ?>"><?php echo $linea['LineaTrabajoDescripcion']; ?></option>
                    <?php } ?>
                  </select>
                </p>
            
            <?php } ?>
            
            <?php if($gestionTurnos) { ?>
            
            	<p>Turno de Trabajo:<br />
                  <select name="turnoTrabajo" id="turnoTrabajo" class="campo">
                    <!--<option value="" <?php if(!$_SESSION['transformacion_turnoTrabajo_seleccionado']) { ?>selected<?php } ?>>Seleccionar...</option>-->
                    <option value="" selected>Seleccionar...</option>
                    <?php foreach ($_SESSION['turnos'] as $turno) { ?>
                    <!--<option value="<?php echo $turno['TurnoTrabajoCodigo']; ?>" <?php if($_SESSION['transformacion_turnoTrabajo_seleccionado']==$turno['TurnoTrabajoCodigo'] || ( !$_SESSION['transformacion_turnoTrabajo_seleccionado'] && $turno['TurnoTrabajoPredeterminado']=='S' ) ) { ?>selected<?php } ?>><?php echo $turno['TurnoTrabajoDescripcion']; ?></option>-->
                    <option value="<?php echo $turno['TurnoTrabajoCodigo']; ?>" <?php if($turno['TurnoTrabajoPredeterminado']=='S') { ?>selected<?php } ?>><?php echo $turno['TurnoTrabajoDescripcion']; ?></option>
                    <?php } ?>
                  </select>
                </p>
            
            <?php } ?>
            
            <p><input type="button" name="botonConfirmarLineaTurno" id="botonConfirmarLineaTurno" class="boton" value="Confirmar"/></p>
            <p><input type="button" name="botonCancelarLineaTurno" id="botonCancelarLineaTurno" class="boton reducido" value="Cancelar"/></p>
            
            </div>
			</div>
            
    	 <?php } ?>
    
    <?php } ?>
    
    <!--<table class="tablaFormateada2022 anchoMaximo" style="font-size:0.9em<?php if($esTransformacion) { ?>;margin-top:20px<?php } ?>">-->
    <table class="tablaFormateada anchoMaximo noColorearAlternos" style="font-size:0.9em<?php if($esTransformacion) { ?>;margin-top:20px<?php } ?>">
	<tr style="white-space:nowrap">
    
    	<?php if($esTransformacion) { ?>
        
			<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
            <th>Transformación</th>
            <th>Cliente</th>
            <th>Ref. Cliente</th>
            <th>Picking</th>
            <th colspan="2">Producto a obtener</th>
            
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
            
            <th>Lanzado</th>
            <th>Cerrado</th>
            <th>Pendiente</th>
        
        <?php } else { //Operaciones que no son transformacion, etiquetado y precintado ?>
    
			<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
            <th>Nº Operación</th>
            <th>Fecha</th>
            <th>Cliente</th>
            <th>Ref. Cliente</th>
            <th>Orden Picking</th>
            <th>Estado Picking</th>
            <th>Estado Operación</th>
            
            <th>Fecha Carga</th>
            <th>Hora</th>
            
            <th>Total Productos</th>
            <th>Prod. Leídos</th>
            <th>Prod. Pendientes</th>
            <th>Uns. Pendientes</th>
        
        <?php } ?>
        
	</tr>
	<?php
	
	$impar=false;
	
	foreach($listado as $operacion) {
	
		//print_r($operacion);
				
		$estilo="";
		//if($operacion['Estado']=='Iniciada') $estilo.=" fondoVerde verde"; //comento esto 4-10-2024 porque aplico el estilo tabla formateada redondeada normal, y aparece de repente el verde, que no tenían
				
				
		//if($operacion['ProductosPendientesAccion']=='S') $estilo.=" rojo";
		//else if($operacion['Estado']=='Iniciada') $estilo.=" verde";
		?>
        
		
        
		<?php if($esTransformacion) { ?>
        
        	<?php
			$ordenesPicking=arreglaArrayPXMobileProxiumResult($operacion['OrdenesPicking']);
			
			if(is_array($ordenesPicking) && count($ordenesPicking)>0) {
				/*
				$picking='<table class="subtabla">';
				$picking.='<tr><th>Orden</th><th>Tipo</th><th>Estado</th></tr>';
				foreach($ordenesPicking as $item) {
					$valoresEstado=explode('#',$item['PickingEstado']);
					$estado=$valoresEstado[0];
					$picking.='<tr><td>'.$item['PickingNumOrden'].'</td><td align="center">'.$item['PickingGestion'].'</td><td align="center">'.$estado.'</td></tr>';
				}
				$picking.='</table>';
				*/
				$picking='';
				foreach($ordenesPicking as $item) {
					$valoresEstado=explode('#',$item['PickingEstado']);
					$estado=$valoresEstado[0];
					if($valoresEstado[1]) $estado.=' por '.$valoresEstado[1];
					$picking.='<div style="margin-bottom:10px">'.$item['PickingNumOrden'].' ('.$item['PickingGestion'].') '.$estado.'</div>';
				}
			}
			else $picking='';
			
			$cadenaFiltro=' cliente="'.$operacion['ClienteNombre'].'" clienteRef="'.$operacion['ClienteRef'].'"';
			$cadenaFiltroProductos='';
			
            $productosObtener=array();
			$cadenasEnlaceProductos=array();
			foreach(arreglaArrayPXMobileProxiumResult($operacion['ProductosObtener']) as $item) {
				$productosObtener[]=$item;
				$cadenasEnlaceProductos[]=' codigo="'.$item['ProductoCodigo'].'" descripcion="'.$item['ProductoDescripcion'].'" lote="'.$item['ProductoLote'].'" idioma="'.$item['ProductoIdioma'].'" precinta="'.$item['ProductoPrecinta'].'" caducidad="'.$item['ProductoCaducidad'].'"';
				$cadenaFiltroProductos.=$item['ProductoCodigo'].'|';
			}
            $cuantosProductos=count($productosObtener);
			
			$cadenaFiltro.=' productos="'.$cadenaFiltroProductos.'"';
			
			$cadenaEnlaceBase='class="lineaOrdenProducto clicable" operacion="'.$operacion['NumOperacion'].'" cliente="'.$operacion['ClienteNombre'].'" empresa="'.$operacion['Empresa'].'" ';
			?>
            
            <tr class="lineaOrden primerNivel <?php echo $estilo; ?> <?php if($impar) {?>coloreado<?php } ?>" style="height:75px" <?php echo $cadenaFiltro; ?>>
            
				<?php if(count($_SESSION['empresas'])>1) { ?><td <?php if($cuantosProductos>1) { ?>rowspan="<?php echo $cuantosProductos; ?>"<?php } ?>><?php echo $operacion['Empresa']; ?></td><?php } ?>
                <td <?php if($cuantosProductos>1) { ?>rowspan="<?php echo $cuantosProductos; ?>"<?php } ?>><?php echo $operacion['NumOperacion']; ?></td>
                <td <?php if($cuantosProductos>1) { ?>rowspan="<?php echo $cuantosProductos; ?>"<?php } ?>><?php echo $operacion['ClienteNombre']; ?></td>
                <td <?php if($cuantosProductos>1) { ?>rowspan="<?php echo $cuantosProductos; ?>"<?php } ?>><?php echo $operacion['ClienteRef']; ?></td>
                <td <?php if($cuantosProductos>1) { ?>rowspan="<?php echo $cuantosProductos; ?>"<?php } ?> align="left" style="width:200px"><?php echo $picking; ?></td>
                   
                <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[0]; ?>><?php echo $productosObtener[0]['ProductoCodigo']; ?></td> 
                <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[0]; ?>><?php echo $productosObtener[0]['ProductoDescripcion']; ?></td>
                
                <?php
				$traductorComportamientos=array('REGE'=>'ProductoRegimen','LT'=>'ProductoLote','FCAD'=>'ProductoCaducidad','IDI'=>'ProductoIdioma','PRECEMP'=>'ProductoPrecinta');
				?>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                	<?php if($comportamiento['Activo']=='S') { ?>
					<td valign="middle" <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[0]; ?>>
					<?php echo formateaTipo($productosObtener[0][$traductorComportamientos[$comportamiento['Codigo']]],$comportamiento['Tipo']); ?>
					<?php //echo $_SESSION['operacion']['ProductoObtener'][$traductorComportamientos[$comportamiento['Codigo']]]; ?>
					</td>
					<?php } ?>
				<?php } ?>
                
                <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[0]; ?>><?php echo formateaNumeroDecimal($productosObtener[0]['ProductoCantidadLanzada'],true); ?></td>
                <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[0]; ?>><?php echo formateaNumeroDecimal($productosObtener[0]['ProductoCantidadCerrada'],true); ?></td>
                <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[0]; ?>><?php echo formateaNumeroDecimal($productosObtener[0]['ProductoCantidadPendiente'],true); ?></td>
                
        	</tr>
            
            <?php if($cuantosProductos>1) { ?>
            
            	<?php for($i=1;$i<$cuantosProductos;$i++) { ?>
                
                	<tr class="lineaOrden segundoNivel clicable <?php echo $estilo; ?> <?php if($impar) {?>coloreado<?php } ?>" style="height:75px" <?php echo $cadenaFiltro; ?>>
                        <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[$i]; ?>><?php echo $productosObtener[$i]['ProductoCodigo']; ?></td> 
                        <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[$i]; ?>><?php echo $productosObtener[$i]['ProductoDescripcion']; ?></td>
                        
                        <?php
						$traductorComportamientos=array('LT'=>'ProductoLote','FCAD'=>'ProductoCaducidad','IDI'=>'ProductoIdioma','PRECEMP'=>'ProductoPrecinta','REGE'=>'ProductoRegimen');
						?>
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
							<?php if($comportamiento['Activo']=='S') { ?>
							<td valign="middle" <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[$i]; ?>>
							<?php echo formateaTipo($productosObtener[$i][$traductorComportamientos[$comportamiento['Codigo']]],$comportamiento['Tipo']); ?>
							<?php //echo $_SESSION['operacion']['ProductoObtener'][$traductorComportamientos[$comportamiento['Codigo']]]; ?>
							</td>
							<?php } ?>
						<?php } ?>
                        
                        <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[$i]; ?>><?php echo formateaNumeroDecimal($productosObtener[$i]['ProductoCantidadLanzada'],true); ?></td>
                        <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[$i]; ?>><?php echo formateaNumeroDecimal($productosObtener[$i]['ProductoCantidadCerrada'],true); ?></td>
                        <td <?php echo $cadenaEnlaceBase.$cadenasEnlaceProductos[$i]; ?>><?php echo formateaNumeroDecimal($productosObtener[$i]['ProductoCantidadPendiente'],true); ?></td>
                	</tr>
                
                <?php } ?>
            
            <?php } ?>
            
            <?php $impar=!$impar; ?>
            
		<?php } else { //Operaciones que no son transformacion, etiquetado y precintado ?>

			<tr operacion="<?php echo $operacion['NumOperacion']; ?>" cliente="<?php echo $operacion['ClienteNombre']; ?>" clienteRef="<?php echo $operacion['ClienteRef']; ?>" empresa="<?php echo $operacion['Empresa']; ?>" class="lineaOrden clicable mostrarCargando <?php echo $estilo; ?>" style="height:75px" <?php echo $cadenaFiltro; ?>>

				<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $operacion['Empresa']; ?></td><?php } ?>
                <td><?php echo $operacion['NumOperacion']; ?></td>
                <td><?php echo fechaNacional($operacion['Fecha']); ?></td>
                <td><?php echo $operacion['ClienteNombre']; ?></td>
                <td><?php echo $operacion['ClienteRef']; ?></td>
                <td><?php echo $operacion['OrdenPicking']; ?></td>
                
				<?php
				$valores=explode('#',$operacion['OrdenPickingEstado']);
				if($valores[1]) $OrdenPickingEstado=$valores[0].' ('.$valores[1].')';
				else $OrdenPickingEstado=$operacion['OrdenPickingEstado'];
				?>
                
                <td><?php echo $OrdenPickingEstado; ?></td>
                
                <td><?php echo $operacion['Estado']; ?></td>
                    
                <td><?php echo fechaNacional($operacion['FechaCarga']); ?></td>
                <td><?php echo horaNacional($operacion['HoraCarga']); ?></td>
                    
                <td><?php echo formateaNumeroDecimal($operacion['TotalProductos'],true); ?></td>
                <td><?php echo formateaNumeroDecimal($operacion['TotalProductosLeidos'],true); ?></td>
                <td><?php echo formateaNumeroDecimal($operacion['TotalProductosPtes'],true); ?></td>
                <td><?php echo formateaNumeroDecimal($operacion['TotalProductosUnidadesPtes'],true); ?></td>
            
            </tr>
			
		<?php } //Fin tipo operacion?>
        
        
	
	<?php } //Fin foreach ?>
    
    </table>

    
<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
        	  
				
              
				<td>
                Cliente:<br /> 
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro" style="width:240px">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                
                <td>
                Ref. Cliente:<br /> 
                <select name="filtroClienteRef" id="filtroClienteRef" class="campo selectorFiltro" style="width:240px">
                    <option value="">---</option>
                    <?php foreach($comboClienteRefs as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                
                

				<td <?php if(!$esTransformacion) { ?>style="display:none"<?php } ?>>
                Producto:<br /> 
                <select name="filtroProducto" id="filtroProducto" class="campo selectorFiltro" style="width:240px">
                    <option value="">---</option>
                    <?php foreach($comboProductos as $clave=>$valor) { ?>
                    <option value="<?php echo $clave; ?>"><?php echo $valor; ?></option>
                    <?php } ?>
                </select>
                </td>
                
                
                
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>                </td>
            </tr>
        </table>
        
</div>
    
	<script>
	
		function repintarTabla() {
		
			console.log('REPINTAR TABLA');
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
		
			var par=true;
			$(".primerNivel").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			$(".segundoNivel").each(function(){
			
				var colorActual=$(this).css('background-color');
				//console.log('colorActual: '+colorActual);
				
				var anterior=$(this).prev();
				var campoAnterior=anterior.children('td').first();
				var colorAnterior=campoAnterior.css('background-color');
				//console.log(campoAnterior.text());
				//console.log('colorAnterior: '+colorAnterior);
				
				$(this).children('td').css('background-color',colorAnterior);

			});

		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroCliente').val()=='' && $('#filtroClienteRef').val()=='' && $('#filtroProducto').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaCliente=false;
				var coincidenciaClienteRef=false;
				var coincidenciaProducto=false;
			
				if( $('#filtroCliente').val()!='' && $(this).attr('cliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
				
				if( $('#filtroClienteRef').val()!='' && $(this).attr('clienteRef')==$('#filtroClienteRef').val() ) coincidenciaClienteRef=true;
				else if( $('#filtroClienteRef').val()=='' ) coincidenciaClienteRef=true;
				
				if( $('#filtroProducto').val()!='' && $(this).attr('productos').includes( $('#filtroProducto').val() ) ) coincidenciaProducto=true;
				else if( $('#filtroProducto').val()=='' ) coincidenciaProducto=true;
				
				if( coincidenciaCliente && coincidenciaClienteRef && coincidenciaProducto ) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
		
		function abreTransformacion(linea) {
		
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/operacion-logistica-transformacion.php?operacion='+linea.attr('operacion')+'&empresa='+linea.attr('empresa')+'&codigo='+linea.attr('codigo')+'&idioma='+linea.attr('idioma')+'&idioma='+linea.attr('idioma')+'&lote='+linea.attr('lote')+'&caducidad='+linea.attr('caducidad')+'&precinta='+linea.attr('precinta')+'&lineaTrabajo='+$('#lineaTrabajo').val()+'&lineaTrabajoNombre='+$('#lineaTrabajo option:selected').text()+'&turnoTrabajo='+$('#turnoTrabajo').val()+'&turnoTrabajoNombre='+$('#turnoTrabajo option:selected').text()+'&procedenciaListado=si';
			
		}
		
		var lineaSeleccionada;
		
		
	
		$(document).ready(function() {
			
			<?php if($esTransformacion) { ?>
			
				$(document).on('click','.lineaOrdenProducto',function(){
				
					<?php if($gestionLineas || $gestionTurnos) { ?>
					
					lineaSeleccionada=$(this);
					
					$('#popupLineaTurno').show();
					
					<?php } else { ?>
					
					abreTransformacion($(this));
				
					<?php } ?>
					
					//$('#popupCargando').show();
					//window.location='<?php echo $rutaHtml; ?>/operacion-logistica-transformacion.php?operacion='+$(this).attr('operacion')+'&empresa='+$(this).attr('empresa')+'&codigo='+$(this).attr('codigo')+'&idioma='+$(this).attr('idioma')+'&idioma='+$(this).attr('idioma')+'&lote='+$(this).attr('lote')+'&caducidad='+$(this).attr('caducidad')+'&precinta='+$(this).attr('precinta');
					
				});
				
				$('#botonConfirmarLineaTurno').on('click',function(){
				
					if(false) {
					}
					<?php if($gestionLineas) { ?>
					else if( $('#lineaTrabajo').val()=='' ) {
						alert('Es necesario informar la Linea de Trabajo con la que se va a operar.',null,'error');
					}
					<?php } ?>
					<?php if($gestionTurnos) { ?>
					else if( $('#turnoTrabajo').val()=='' ) {
						alert('Es necesario informar el Turno de Trabajo con el que se va a operar.',null,'error');
					}
					<?php } ?>
					else {
						abreTransformacion(lineaSeleccionada);
					}
				
				});
				
				$('#botonCancelarLineaTurno').on('click',function(){
				
					$('#popupLineaTurno').hide();
				
				});
			
			<?php } else { ?>
			
				$(document).on('click','.lineaOrden',function(){
					$('#popupCargando').show();
					window.location='<?php echo $rutaHtml; ?>/operacion-logistica.php?operacion='+$(this).attr('operacion')+'&empresa='+$(this).attr('empresa')+'&procedenciaListado=si';	
				});
			
			<?php } ?>
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroCliente option:selected').removeProp('selected');
				$('#filtroCliente option[value=""]').prop('selected',true);
				
				$('#filtroClienteRef option:selected').removeProp('selected');
				$('#filtroClienteRef option[value=""]').prop('selected',true);
				
				$('#filtroProducto option:selected').removeProp('selected');
				$('#filtroProducto option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
			});
			
			
			
			$(document).on('change','#operacion',function(){
		
				var operacion=$('#operacion').val();
				var codigoEmpresa;
				var encontrada=false;
		
				if(operacion!='') {
		
					$('#popupCargando').show();
					
					$('.lineaOrden').each(function() {
						if( $(this).attr('operacion')==operacion ) {
							encontrada=true
							codigoEmpresa=$(this).attr('empresa');
						}
					});
					
					
					if(encontrada) {
						window.location='<?php echo $rutaHtml; ?>/operacion-logistica<?php if($esTransformacion) { ?>-transformacion<?php } ?>.php?operacion='+operacion+'&empresa='+codigoEmpresa+'&procedenciaListado=si';	
					}
					else {
						$('#popupCargando').hide();
						alert('Error: Orden no encontrada.',null,'error')
						.done(function(){
							$("#operacion").val('');
							$("#operacion").focus();
						});
					}
				}
				
			});
					
			$(document).on('click','#tecladoOperacion',function(){
				$('#teclado').show();
				$('#valor').val( $('#operacion').val() );
				$('#valorOculto').val( $('#operacion').val() );
				$('#enter').attr('campoValor','operacion');
				$('#enter').attr('forzarEnter','si');	
			});
					
			$(document).on('click','#borrarOperacion',function(){
				$("#operacion").val('');
				$("#operacion").focus();		
			});
			
			$('#operacion').focus();
			
		});
	
	</script>
    
	<?php
}
else {
	if($resultado[0]['Error'] && $resultado[0]['Error']!='ERROR 2. No hay coincidencias') {
		$valores=explode('#',$resultado[0]['Error'])
		?>
		<script>
			alert('<?php echo $valores[1]; ?>',null,'error');
		</script>
		<?php
	}
	else {
		?><p>No hay ninguna Transformación pendiente.</p><?php
	}
}

?>